package com.dk.mdm.service.mst;

import com.dk.common.mapper.BaseMapper;
import com.dk.common.service.BaseService;
import com.dk.mdm.mapper.mst.MoneyAccountItemMapper;
import com.dk.mdm.model.pojo.mst.MoneyAccountItem;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class MoneyAccountItemService extends BaseService<MoneyAccountItem> {

	@Override
	public String getPrimaryKey() {
		return "item_id";
	}

	@Override
	public BaseMapper<MoneyAccountItem> getRepository() {
		return moneyAccountItemMapper;
	}

	@Autowired
	private MoneyAccountItemMapper moneyAccountItemMapper;

}
